# Error handling

The Attuitive API uses standard [HTTP response codes](https://developer.mozilla.org/en-US/docs/Web/HTTP/Reference/Status) to indicate the result of a request. It can be assumed anything in the `2xx` range was successful. Codes in the `4xx` range indicate a client error, and something that can be fixed by correcting information in the request (e.g. a bad ID or missing parameters) and trying again. Codes in the `5xx` range should be rare and indicate an error from Attuitive.

**All** responses outside of the `2xx` range will return a standard error format:

```json
{
  "status": 400,
  "message": "Invalid identifiers",
  "moreInfo": "The provided identifiers should be a valid JSON object."
}
```

| Name       | Type   | Description                                      |
| ---------- | ------ | ------------------------------------------------ |
| `status`   | number | HTTP response code                               |
| `message`  | string | A brief description of the error                 |
| `moreInfo` | string | Further details on the error and/or remedy steps |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://tristans-organization-4.gitbook.io/attuitive/api-reference/error-handling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
